<div class="flex-fixed-size side-bar">
  <div class="anchor-bar">
    <div
      class="anchor-group remove-chrome-router-link-border"
      [routerLinkActive]="'anchor-group-selected'"
      [attr.data-test-anchor-link-id]="'bugtrackers'"
      [routerLink]="'../bugtrackers'"
      (click)="hideContextualContent()"
    >
      <div
        [routerLinkActive]="'container-active'"
        class="container"
        nz-tooltip
        nzTooltipPlacement="right"
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.servers.bugtrackers.title'
            | translate
        "
      >
        <i
          nz-icon
          class="admin-workspace-anchor-icon"
          nzType="sqtm-core-administration:bugtracker"
          nzTheme="outline"
        ></i>
      </div>
    </div>
    <div
      class="anchor-group remove-chrome-router-link-border"
      [routerLinkActive]="'anchor-group-selected'"
      [attr.data-test-anchor-link-id]="'test-automation-servers'"
      [routerLink]="'../test-automation-servers'"
      (click)="hideContextualContent()"
    >
      <div
        [routerLinkActive]="'container-active'"
        class="container"
        nz-tooltip
        nzTooltipPlacement="right"
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.servers.test-automation-servers.short-title'
            | translate
        "
      >
        <i
          nz-icon
          class="admin-workspace-anchor-icon"
          nzType="sqtm-core-administration:automation"
          nzTheme="outline"
        ></i>
      </div>
    </div>
    <div
      class="anchor-group remove-chrome-router-link-border"
      [routerLinkActive]="'anchor-group-selected'"
      [attr.data-test-anchor-link-id]="'scm-servers'"
      [routerLink]="'../scm-servers'"
      (click)="hideContextualContent()"
    >
      <div
        [routerLinkActive]="'container-active'"
        class="container"
        nz-tooltip
        nzTooltipPlacement="right"
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.servers.scm-servers.short-title'
            | translate
        "
      >
        <i
          nz-icon
          class="admin-workspace-anchor-icon"
          nzType="sqtm-core-administration:scm_server"
          nzTheme="outline"
        ></i>
      </div>
    </div>
    <div
      class="anchor-group remove-chrome-router-link-border"
      [routerLinkActive]="isUltimate$() ? 'anchor-group-selected' : ''"
      [attr.data-test-anchor-link-id]="'ai-servers'"
      [routerLink]="routerLinkPath"
      (click)="navigateIfUltimate()"
    >
      <div
        [routerLinkActive]="isUltimate$() ? 'container-active' : ''"
        class="container"
        nz-tooltip
        nzTooltipPlacement="right"
        [nzTooltipTitle]="
          'sqtm-core.administration-workspace.servers.ai.title' | translate
        "
      >
        <i
          nz-icon
          class="admin-workspace-anchor-icon"
          nzType="sqtm-core-administration:artificial-intelligence"
          nzTheme="outline"
        ></i>
      </div>
    </div>
  </div>
  <ng-content></ng-content>
</div>
